[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Upcoming xorg-server upload


(mailing team@ as I didn't find anything looking better to reach

As outlined online[1] the current plan for X server & drivers is to
keep the 1.7 server with some newer drivers (users can switch to the
constantly usable rolling, testing, or bikeshedding of the week if
they need a newer server).

 1. http://pkg-xorg.alioth.debian.org/reference/squeeze-backports.html

A new upload is needed for the server, to get some niceties in
xserver-xorg-dev: dh_xsf_substvars, xsf.pm[2].

 2. http://pkg-xorg.alioth.debian.org/reference/dependencies.html

xorg-server is a bit special since we have 1.9 in wheezy and 1.10 in
sid, so I guess it might make sense to break the general bpo numbering
rule. So far, it looks like $squeezeversion+bpo60+1 would do the job.

The changelog would look like:
| xorg-server (2:1.7.7-13+bpo60+1) squeeze-backports; urgency=low
|   * Rebuild for squeeze-backports.
|   * Introduce dh_xsf_substvars, to be used in driver packages to set
|     appropriate substitution variables for Depends and Provides, before
|     calling dh_gencontrol. Ship it in xserver-xorg-dev.
|   * Also ship a debhelper sequence: xsf.pm, to insert dh_xsf_substvars
|     before dh_gencontrol. Usage: “dh $@ --with xsf” when using dh.
|  -- Cyril Brulebois <kibi@debian.org>  Sun, 01 May 2011 18:40:36 +0200

Does the version number look right to you?

(If -14 appears in stable-security or stable, I get to upload the
backport again so that changes are persistent, if those changes don't
qualify for stable-security or stable; which is likely to be the

Thanks for your time.


Attachment: signature.asc
Description: Digital signature

Reply to: